org.apache.xerces.impl.dv.dtd

## Class NOTATIONDatatypeValidator

- java.lang.Object
- - org.apache.xerces.impl.dv.dtd.NOTATIONDatatypeValidator

All Implemented Interfaces:
  DatatypeValidator

    public class NOTATIONDatatypeValidator
    extends java.lang.Object
    implements DatatypeValidator

NOTATIONValidator defines the interface that data type validators must obey. These validators can be supplied by the application writer and may be useful as standalone code as well as plugins to the validator architecture.

Version:
  $Id: NOTATIONDatatypeValidator.java 699892 2008-09-28 21:08:27Z mrglavas $
Author:
  Jeffrey Rodriguez, IBM, Sandy Gao, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`NOTATIONDatatypeValidator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `validate(java.lang.String content, ValidationContext context)` Checks that "content" string is valid NOTATION value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NOTATIONDatatypeValidator

    public NOTATIONDatatypeValidator()

### Method Detail

#### validate

    public void validate(java.lang.String content,
                         ValidationContext context)
                  throws InvalidDatatypeValueException

Checks that "content" string is valid NOTATION value. If invalid a Datatype validation exception is thrown.

Specified by:
  `validate` in interface `DatatypeValidator`
Parameters:
  `content` - the string value that needs to be validated
  `context` - the validation context
Throws:
  `InvalidDatatypeException` - if the content is invalid according to the rules for the validators
  `InvalidDatatypeValueException`
See Also:
  `InvalidDatatypeValueException`